<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>RegPacketStatusServiceImpl (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RegPacketStatusServiceImpl (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegPacketStatusServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/service/packet/impl/RegistrationPacketVirusScanServiceImpl.html" title="class in io.mosip.registration.service.packet.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/service/packet/impl/ReRegistrationServiceImpl.html" title="class in io.mosip.registration.service.packet.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html" target="_top">Frames</a></li>
<li><a href="RegPacketStatusServiceImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.service.BaseService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.service.packet.impl</div>
<h2 title="Class RegPacketStatusServiceImpl" class="title">Class RegPacketStatusServiceImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">io.mosip.registration.service.BaseService</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.service.packet.impl.RegPacketStatusServiceImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html" title="interface in io.mosip.registration.service.packet">RegPacketStatusService</a></dd>
</dl>
<hr>
<br>
<pre>@Service
public class <span class="typeNameLabel">RegPacketStatusServiceImpl</span>
extends <a href="../../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a>
implements <a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html" title="interface in io.mosip.registration.service.packet">RegPacketStatusService</a></pre>
<div class="block">This class will update the packet status in the table after sync with the
 server.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Himaja Dhanyamraju</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.io.mosip.registration.service.BaseService">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;io.mosip.registration.service.<a href="../../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></h3>
<code><a href="../../../../../../io/mosip/registration/service/BaseService.html#serviceDelegateUtil">serviceDelegateUtil</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#RegPacketStatusServiceImpl--">RegPacketStatusServiceImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#deleteAllProcessedRegPackets--">deleteAllProcessedRegPackets</a></span>()</code>
<div class="block">deletes all the packets which is no more needed for the remapped machine</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#deleteRegistrationPackets--">deleteRegistrationPackets</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#deleteRegistrations-java.util.List-">deleteRegistrations</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;registrations)</code>
<div class="block">Delete Registrations</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#packetSyncStatus-java.lang.String-">packetSyncStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">packet status sync with server</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#syncPacket-java.lang.String-">syncPacket</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">This method will sync the packets to the server</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.registration.service.BaseService">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;io.mosip.registration.service.<a href="../../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></h3>
<code><a href="../../../../../../io/mosip/registration/service/BaseService.html#getCenterId--">getCenterId</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getCenterId-java.lang.String-">getCenterId</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">getErrorResponse</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getGlobalConfigValueOf-java.lang.String-">getGlobalConfigValueOf</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getMacAddress--">getMacAddress</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getStationId-java.lang.String-">getStationId</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#getUserIdFromSession--">getUserIdFromSession</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#isEmpty-java.util.List-">isEmpty</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#isNull-java.util.List-">isNull</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#isValidDevice-io.mosip.registration.constants.DeviceTypes-java.lang.String-">isValidDevice</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#packetStatusDtoPreperation-io.mosip.registration.entity.Registration-">packetStatusDtoPreperation</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#setErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setErrorResponse</a>, <a href="../../../../../../io/mosip/registration/service/BaseService.html#setSuccessResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setSuccessResponse</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RegPacketStatusServiceImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RegPacketStatusServiceImpl</h4>
<pre>public&nbsp;RegPacketStatusServiceImpl()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="deleteRegistrationPackets--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteRegistrationPackets</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;deleteRegistrationPackets()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#deleteRegistrationPackets--">deleteRegistrationPackets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html" title="interface in io.mosip.registration.service.packet">RegPacketStatusService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>response DTO</dd>
</dl>
</li>
</ul>
<a name="deleteAllProcessedRegPackets--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteAllProcessedRegPackets</h4>
<pre>public&nbsp;void&nbsp;deleteAllProcessedRegPackets()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#deleteAllProcessedRegPackets--">RegPacketStatusService</a></code></span></div>
<div class="block">deletes all the packets which is no more needed for the remapped machine</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#deleteAllProcessedRegPackets--">deleteAllProcessedRegPackets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html" title="interface in io.mosip.registration.service.packet">RegPacketStatusService</a></code></dd>
</dl>
</li>
</ul>
<a name="packetSyncStatus-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>packetSyncStatus</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;packetSyncStatus(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#packetSyncStatus-java.lang.String-">RegPacketStatusService</a></code></span></div>
<div class="block">packet status sync with server</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#packetSyncStatus-java.lang.String-">packetSyncStatus</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html" title="interface in io.mosip.registration.service.packet">RegPacketStatusService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>triggerPoint</code> - - the point by which the service was triggered</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResponseDTO which specifies either success response or error response
         after sync with server</dd>
</dl>
</li>
</ul>
<a name="deleteRegistrations-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteRegistrations</h4>
<pre>public&nbsp;void&nbsp;deleteRegistrations(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;registrations)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#deleteRegistrations-java.util.List-">RegPacketStatusService</a></code></span></div>
<div class="block">Delete Registrations</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#deleteRegistrations-java.util.List-">deleteRegistrations</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html" title="interface in io.mosip.registration.service.packet">RegPacketStatusService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>registrations</code> - - the list of registrations that are to be deleted</dd>
</dl>
</li>
</ul>
<a name="syncPacket-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>syncPacket</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;syncPacket(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#syncPacket-java.lang.String-">RegPacketStatusService</a></code></span></div>
<div class="block">This method will sync the packets to the server</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#syncPacket-java.lang.String-">syncPacket</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html" title="interface in io.mosip.registration.service.packet">RegPacketStatusService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>triggerPoint</code> - The trigger point for webservice call</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returning the response as dto</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegPacketStatusServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/service/packet/impl/RegistrationPacketVirusScanServiceImpl.html" title="class in io.mosip.registration.service.packet.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/service/packet/impl/ReRegistrationServiceImpl.html" title="class in io.mosip.registration.service.packet.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html" target="_top">Frames</a></li>
<li><a href="RegPacketStatusServiceImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.service.BaseService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
